# Enumerating k-connected orientations

![Tests check](https://github.com/tarasyarema/orientations/workflows/Test%20with%20Docker/badge.svg?branch=main)
[![Run in Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/tarasyarema/orientations/main?filepath=demo.ipynb)
[![DOI](https://zenodo.org/badge/330920830.svg)](https://zenodo.org/badge/latestdoi/330920830)
[![PyPI version](https://badge.fury.io/py/orientations.png)](https://badge.fury.io/py/orientations)

> This project presents an enumeration algorithm for the k-connected orientations 
    of a given multi-graph.

There's autogenerated Sphinx documentation [online here](https://orientations.taras.cc/).

## Installation

### If you have Sage installed

From a terminal run the following commands:

1. Some dependencies to handle Sage packages: `sage -pip install sage-package sphinx`
2. `sage -pip install orientations`

Now you should be able to import the package from Sage as `from orientations import {some_function}`!

> If you want to update the package run `sage -pip update orientations`.

### No Sage

If you do not have Sage installed you can access to the demo Sage notebook [in Binder](https://mybinder.org/v2/gh/tarasyarema/orientations/main?filepath=demo.ipynb).

## License

[MIT](./LICENSE)
